## erlang-bitcask 1.1.6+dfsg

=== Makefile ===
REPO		?= bitcask
BITCASK_TAG	 = $(shell git describe --tags)
REVISION	?= $(shell echo $(BITCASK_TAG) | sed -e 's/^$(REPO)-//')
PKG_VERSION	?= $(shell echo $(REVISION) | tr - .)

.PHONY: rel deps package pkgclean

all: deps compile

compile:
	rebar compile eunit

deps:
	rebar get-deps

clean:
	rebar clean

# Release tarball creation
# Generates a tarball that includes all the deps sources so no checkouts are necessary
archivegit = git archive --format=tar --prefix=$(1)/ HEAD | (cd $(2) && tar xf -)
archivehg = hg archive $(2)/$(1)
archive = if [ -d ".git" ]; then \
		$(call archivegit,$(1),$(2)); \
	    else \
		$(call archivehg,$(1),$(2)); \
	    fi

buildtar = mkdir distdir && \
		 git clone . distdir/$(REPO)-clone && \
		 cd distdir/$(REPO)-clone && \
		 git checkout $(BITCASK_TAG) && \
		 $(call archive,$(BITCASK_TAG),..) && \
		 mkdir ../$(BITCASK_TAG)/deps && \
		 make deps; \
		 for dep in deps/*; do cd $${dep} && $(call archive,$${dep},../../../$(BITCASK_TAG)); cd ../..; done
					 
distdir:
	$(if $(BITCASK_TAG), $(call buildtar), $(error "You can't generate a release tarball from a non-tagged revision. Run 'git checkout <tag>', then 'make dist'"))

dist $(BITCASK_TAG).tar.gz: distdir
	cd distdir; \
	tar czf ../$(BITCASK_TAG).tar.gz $(BITCASK_TAG)

ballclean:
	rm -rf $(BITCASK_TAG).tar.gz distdir

package: dist
	$(MAKE) -C package package

pkgclean:
	$(MAKE) -C package pkgclean

export BITCASK_TAG PKG_VERSION REPO REVISION

=== debian/changelog ===
erlang-bitcask (1.1.6+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #689279)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Jul 2012 00:48:31 +0900

=== debian/control ===
Source: erlang-bitcask
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.3
Homepage: https://github.com/basho/bitcask
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, rebar

Package: erlang-bitcask
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Description: Log-Structured Hash Table for Fast Key/Value Data
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.
 
Package: erlang-bitcask-dev
Section: devel
Architecture: all 
Depends: erlang-bitcask (>= ${source:Version}), ${misc:Depends}
Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.
 .
 This package includes bitcask headers which are necessary to build Erlang
 applications which use bitcask.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE=bitcask
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv
	install -m 644 priv/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
	install -m 644 include/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include/

override_dh_gencontrol-arch:
	erlang-depends -v -a -perlang-bitcask
	erlang-depends -v -a -perlang-bitcask-dev
	dh_gencontrol -a -perlang-bitcask
	dh_gencontrol -a -perlang-bitcask-dev

override_dh_auto_clean:
	dh_auto_install
	rm -rf ebin/*.beam
	rm -rf c_src/*.o
	rm -rf priv/bitcask.so
	rm -rf .eunit

override_dh_compress:
	dh_compress -X.erl -X.beam

## erlang-bitcask 1.6.0+dfsg

=== debian/changelog ===
erlang-bitcask (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.0).
  * Update debian/control.
    - Add erlang-meck to Build-Depends and Depends.
    - Add erlang-mnesia to Build-Depends.
  * Update debian/rules.
    - Remove *.app in clean target.
    - Remove Run-eunit-loop.expect from package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Jan 2013 17:36:46 +0900

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Standards-Version: 3.9.3
 Homepage: https://github.com/basho/bitcask
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, rebar
+	erlang-eunit, rebar, erlang-meck, erlang-mnesia
 
 Package: erlang-bitcask
 Architecture: any
 Section: devel
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends},
-	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
+	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
+	erlang-meck
 Description: Log-Structured Hash Table for Fast Key/Value Data
  Bitcask is an Erlang application that provides an API for storing and
  retrieving key/value data into a log-structured hash table that provides very

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 PACKAGE=bitcask
 VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
-
 %:
 	dh $@
 
@@ -20,6 +19,7 @@
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv
 	install -m 644 priv/* \
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/
+	rm $(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/Run-eunit-loop.expect
 	install -d \
 		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
 	install -m 644 include/* \
@@ -34,6 +34,7 @@
 override_dh_auto_clean:
 	dh_auto_install
 	rm -rf ebin/*.beam
+	rm -rf ebin/*.app
 	rm -rf c_src/*.o
 	rm -rf priv/bitcask.so
 	rm -rf .eunit

## erlang-bitcask 1.6.1p1+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,19 +2,23 @@
 BITCASK_TAG	 = $(shell git describe --tags)
 REVISION	?= $(shell echo $(BITCASK_TAG) | sed -e 's/^$(REPO)-//')
 PKG_VERSION	?= $(shell echo $(REVISION) | tr - .)
+REBAR_BIN := $(shell which rebar)
+ifeq ($(REBAR_BIN),)
+REBAR_BIN = ./rebar
+endif
 
 .PHONY: rel deps package pkgclean
 
 all: deps compile
 
 compile:
-	rebar compile eunit
+	$(REBAR_BIN) compile eunit
 
 deps:
-	rebar get-deps
+	$(REBAR_BIN) get-deps
 
 clean:
-	rebar clean
+	$(REBAR_BIN) clean
 
 # Release tarball creation
 # Generates a tarball that includes all the deps sources so no checkouts are necessary

=== debian/changelog ===
erlang-bitcask (1.6.1p1+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.1p1).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 20 Apr 2013 18:53:46 +0900

## erlang-bitcask 1.6.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,22 @@
 all: deps compile
 
 compile:
-	$(REBAR_BIN) compile eunit
+	$(REBAR_BIN) compile 
 
 deps:
 	$(REBAR_BIN) get-deps
 
-clean:
+clean: 
 	$(REBAR_BIN) clean
+
+test: deps compile eunit_erlang eunit_nif
+
+eunit_erlang:
+	IOMODE="erlang" $(REBAR_BIN) skip_deps=true eunit
+
+eunit_nif:
+	IOMODE="nif" $(REBAR_BIN) skip_deps=true eunit
+
 
 # Release tarball creation
 # Generates a tarball that includes all the deps sources so no checkouts are necessary
@@ -56,3 +65,16 @@
 	$(MAKE) -C package pkgclean
 
 export BITCASK_TAG PKG_VERSION REPO REVISION
+
+APPS = kernel stdlib sasl erts ssl tools os_mon runtime_tools crypto inets \
+	xmerl webtool snmp public_key mnesia eunit syntax_tools compiler
+PLT = $(HOME)/.bitcask_dialyzer_plt
+
+build_plt: deps compile
+	dialyzer --build_plt --output_plt $(PLT) --apps $(APPS) deps/*/ebin
+
+dialyzer: deps compile
+	dialyzer -Wno_return --plt $(PLT) ebin
+
+clean_plt:
+	rm $(PLT)

=== package/deb/Makefile ===
BUILDPATH	= debuild/$(APP)-$(REVISION)

build:  $(BUILDPATH)/debian \
	debuild/$(APP)_$(REVISION).orig.tar.gz
	export DEBFULLNAME="Basho Buildbot Packager"; \
	export DEBEMAIL="support@basho.com"; \
	dch  --noquery -c $(BUILDPATH)/debian/changelog \
		-b -v "$(REVISION)-$(RELEASE)" "pants on head"
	cd $(BUILDPATH) && debuild --no-lintian \
		-e REVISION=$(REVISION) \
		-e RELEASE=$(RELEASE) \
		-uc -us
	mkdir -p packages
	mv debuild/$(APP)_$(REVISION)-$(RELEASE)_*.deb packages

$(BUILDPATH): $(APP)-$(REVISION).tar.gz
	mkdir -p debuild
	tar xz -C debuild -f $^

$(BUILDPATH)/debian: $(BUILDPATH)
	cp -a $(PKGERDIR) $@
	rm -rf $@/.hg $@/Makefile $@/.*.swp

debuild/$(APP)_$(REVISION).orig.tar.gz: $(APP)-$(REVISION).tar.gz
	cp $^ $@

$(PKGERDIR)/pkgclean:
	@echo

=== debian/changelog ===
erlang-bitcask (1.6.3+dfsg-5) unstable; urgency=low
  * Update debian/control.
    - Update version of erleng-dev.
  * Update debian/rules.
    - Disable test on mipsel.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Sep 2013 08:07:03 +0900

erlang-bitcask (1.6.3+dfsg-4) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
    - Remove Section and Priority section from erlang-bitcask*.
  * Update debian/rules.
    - Changed to use dh-rebar.
  * Fix debian/watch.
    - Fix debian-watch-file-should-mangle-version.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2013 20:22:26 +0900

erlang-bitcask (1.6.3+dfsg-3) unstable; urgency=low

  * Update debian/rules.
    Disable test on arm*, ia64 and sparc. (Closes: #718740)
  * Update debian/control.
    Add Vcs-Git and Vcs-Browser field.
  * Add watch file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Aug 2013 06:21:33 +0900

erlang-bitcask (1.6.3+dfsg-2) unstable; urgency=low

  * Update debian/rules.
    - Enable verbose build.
    - Remove verbose option from erlang-depends.
  * Update debian/control.
    - Add erlang-dialyzer to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 18 Jul 2013 08:47:01 +0900

erlang-bitcask (1.6.3+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.3).
  * Update debian/control.
    - Bumped standards-version to 3.9.4.
  * Update debian/rules.
    - Remove the line which remove Run-eunit-loop.expect.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Jul 2013 17:30:09 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
+	erlang-eunit, erlang-meck, erlang-mnesia, erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, rebar, erlang-meck, erlang-mnesia
+Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
 
 Package: erlang-bitcask
 Architecture: any
-Section: devel
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
 	erlang-meck
@@ -23,7 +23,6 @@
  file merging.
  
 Package: erlang-bitcask-dev
-Section: devel
 Architecture: all 
 Depends: erlang-bitcask (>= ${source:Version}), ${misc:Depends}
 Description: Log-Structured Hash Table for Fast Key/Value Data (development files)

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

disable_test=0
# BTS:718740
ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf ia64 sparc mipsel))
disable_test=1
endif

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_test:
ifeq "$(disable_test)" "0"
	rebar eunit -vv skip_deps=true
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ebin/*.beam
	rm -rf ebin/*.app
	rm -rf c_src/*.o
	rm -rf priv/bitcask.so
	rm -rf .eunit

## erlang-bitcask 1.6.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 test: deps compile eunit_erlang eunit_nif
 
 eunit_erlang:
-	IOMODE="erlang" $(REBAR_BIN) skip_deps=true eunit
+	BITCASK_IO_MODE="erlang" $(REBAR_BIN) skip_deps=true eunit
 
 eunit_nif:
-	IOMODE="nif" $(REBAR_BIN) skip_deps=true eunit
+	BITCASK_IO_MODE="nif" $(REBAR_BIN) skip_deps=true eunit
 
 
 # Release tarball creation

=== debian/changelog ===
erlang-bitcask (1.6.7+dfsg-1ubuntu1) utopic; urgency=medium

  * Build with -O2 on ppc64el to avoid test failures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 11:48:04 +0200

erlang-bitcask (1.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release (1.6.7+dfsg).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 22 May 2014 13:55:53 +0900

erlang-bitcask (1.6.6+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.6+dfsg).
  * Update debian/control.
    - Update Standards-version to 3.9.5.
    - Add version to erlang-meck.
  * Update patches/remove_deps.
  * Add patches/fix_version_string.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 15:07:34 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
-	erlang-eunit, erlang-meck, erlang-mnesia, erlang-dialyzer, dh-rebar
+	erlang-eunit, erlang-meck (>= 0.8.1), erlang-mnesia, erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
@@ -14,7 +14,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
-	erlang-meck
+	erlang-meck (>= 0.8.1)
 Description: Log-Structured Hash Table for Fast Key/Value Data
  Bitcask is an Erlang application that provides an API for storing and
  retrieving key/value data into a log-structured hash table that provides very

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
+  export DEB_CFLAGS_MAINT_STRIP  = -O3
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## erlang-bitcask 2.0.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,32 +2,53 @@
 BITCASK_TAG	 = $(shell git describe --tags)
 REVISION	?= $(shell echo $(BITCASK_TAG) | sed -e 's/^$(REPO)-//')
 PKG_VERSION	?= $(shell echo $(REVISION) | tr - .)
+BASE_DIR         = $(shell pwd)
 REBAR_BIN := $(shell which rebar)
 ifeq ($(REBAR_BIN),)
 REBAR_BIN = ./rebar
 endif
 
+PULSE_TESTS = bitcask_pulse
+
 .PHONY: rel deps package pkgclean
+
+include tools.mk
 
 all: deps compile
 
 compile:
-	$(REBAR_BIN) compile 
+	$(REBAR_BIN) compile
 
 deps:
 	$(REBAR_BIN) get-deps
 
-clean: 
+clean:
 	$(REBAR_BIN) clean
 
-test: deps compile eunit_erlang eunit_nif
+BITCASK_IO_MODE=erlang
 
-eunit_erlang:
-	BITCASK_IO_MODE="erlang" $(REBAR_BIN) skip_deps=true eunit
+test: deps compile eunit_nif
 
 eunit_nif:
 	BITCASK_IO_MODE="nif" $(REBAR_BIN) skip_deps=true eunit
 
+NOW	= $(shell date +%s)
+COUNTER = $(PWD)/$(NOW).current_counterexample.eqc
+EQCINFO = $(PWD)/$(NOW).eqc-info
+
+pulse:
+	@rm -rf $(BASE_DIR)/.eunit
+	BITCASK_PULSE=1 $(REBAR_BIN) clean compile
+	env BITCASK_PULSE=1 $(REBAR_BIN) -D PULSE eunit skip_deps=true suites=$(PULSE_TESTS) ; \
+	if [ $$? -ne 0 ]; then \
+		echo PULSE test FAILED; \
+		cp ./.eunit/current_counterexample.eqc $(COUNTER); \
+		cp ./.eunit/.eqc-info $(EQCINFO); \
+		echo See files $(COUNTER) and $(EQCINFO); \
+		exit 1; \
+	else \
+		exit 0; \
+	fi
 
 # Release tarball creation
 # Generates a tarball that includes all the deps sources so no checkouts are necessary
@@ -47,7 +68,7 @@
 		 mkdir ../$(BITCASK_TAG)/deps && \
 		 make deps; \
 		 for dep in deps/*; do cd $${dep} && $(call archive,$${dep},../../../$(BITCASK_TAG)); cd ../..; done
-					 
+
 distdir:
 	$(if $(BITCASK_TAG), $(call buildtar), $(error "You can't generate a release tarball from a non-tagged revision. Run 'git checkout <tag>', then 'make dist'"))
 
@@ -66,15 +87,7 @@
 
 export BITCASK_TAG PKG_VERSION REPO REVISION
 
-APPS = kernel stdlib sasl erts ssl tools os_mon runtime_tools crypto inets \
-	xmerl webtool snmp public_key mnesia eunit syntax_tools compiler
-PLT = $(HOME)/.bitcask_dialyzer_plt
+DIALYZER_APPS = kernel stdlib sasl erts ssl tools os_mon runtime_tools \
+				crypto inets xmerl webtool snmp public_key mnesia eunit \
+				syntax_tools compiler
 
-build_plt: deps compile
-	dialyzer --build_plt --output_plt $(PLT) --apps $(APPS) deps/*/ebin
-
-dialyzer: deps compile
-	dialyzer -Wno_return --plt $(PLT) ebin
-
-clean_plt:
-	rm $(PLT)

=== debian/changelog ===
erlang-bitcask (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release (2.0.2+dfsg). (Closes: #791369)
  * Update version of erlang-cuttlefish.
  * Add patches/disable-nowarn_deprecated.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Mar 2016 05:09:30 +0900

erlang-bitcask (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release (2.0.1+dfsg).
  * Update Standards-Version to 3.9.6.
  * Add erlang-cuttlefish to Build-Depends and Depends

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Feb 2016 08:01:52 +0900

erlang-bitcask (1.7.1+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release (1.7.1+dfsg).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Oct 2014 09:44:19 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
-	erlang-eunit, erlang-meck (>= 0.8.1), erlang-mnesia, erlang-dialyzer, dh-rebar
+	erlang-eunit, erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.6), erlang-mnesia,
+	erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
@@ -14,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
-	erlang-meck (>= 0.8.1)
+	erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.1)
 Description: Log-Structured Hash Table for Fast Key/Value Data
  Bitcask is an Erlang application that provides an API for storing and
  retrieving key/value data into a log-structured hash table that provides very

## erlang-bitcask 2.0.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,36 +1,32 @@
 REPO		?= bitcask
 BITCASK_TAG	 = $(shell git describe --tags)
-REVISION	?= $(shell echo $(BITCASK_TAG) | sed -e 's/^$(REPO)-//')
-PKG_VERSION	?= $(shell echo $(REVISION) | tr - .)
 BASE_DIR         = $(shell pwd)
-REBAR_BIN := $(shell which rebar)
-ifeq ($(REBAR_BIN),)
-REBAR_BIN = ./rebar
+REBAR := $(shell which rebar)
+ifeq ($(REBAR),)
+REBAR = ./rebar
 endif
 
 PULSE_TESTS = bitcask_pulse
 
 .PHONY: rel deps package pkgclean
 
-include tools.mk
-
 all: deps compile
 
-compile:
-	$(REBAR_BIN) compile
+compile: deps
+	$(REBAR) compile
 
 deps:
-	$(REBAR_BIN) get-deps
+	$(REBAR) get-deps
 
 clean:
-	$(REBAR_BIN) clean
+	$(REBAR) clean
 
 BITCASK_IO_MODE=erlang
 
 test: deps compile eunit_nif
 
 eunit_nif:
-	BITCASK_IO_MODE="nif" $(REBAR_BIN) skip_deps=true eunit
+	BITCASK_IO_MODE="nif" $(REBAR) skip_deps=true eunit
 
 NOW	= $(shell date +%s)
 COUNTER = $(PWD)/$(NOW).current_counterexample.eqc
@@ -38,8 +34,8 @@
 
 pulse:
 	@rm -rf $(BASE_DIR)/.eunit
-	BITCASK_PULSE=1 $(REBAR_BIN) clean compile
-	env BITCASK_PULSE=1 $(REBAR_BIN) -D PULSE eunit skip_deps=true suites=$(PULSE_TESTS) ; \
+	BITCASK_PULSE=1 $(REBAR) clean compile
+	env BITCASK_PULSE=1 $(REBAR) -D PULSE eunit skip_deps=true suites=$(PULSE_TESTS) ; \
 	if [ $$? -ne 0 ]; then \
 		echo PULSE test FAILED; \
 		cp ./.eunit/current_counterexample.eqc $(COUNTER); \
@@ -85,9 +81,10 @@
 pkgclean:
 	$(MAKE) -C package pkgclean
 
-export BITCASK_TAG PKG_VERSION REPO REVISION
+export BITCASK_TAG REPO
 
 DIALYZER_APPS = kernel stdlib sasl erts ssl tools os_mon runtime_tools \
 				crypto inets xmerl webtool snmp public_key mnesia eunit \
 				syntax_tools compiler
 
+include tools.mk

=== debian/changelog ===
erlang-bitcask (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update depend version of erlang-cuttlefish.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2016 13:04:33 +0900

erlang-bitcask (2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update version of erlang-cuttlefish.
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 03 Sep 2016 06:33:10 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
-	erlang-eunit, erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.6), erlang-mnesia,
+	erlang-eunit, erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.10), erlang-mnesia,
 	erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
-	erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.1)
+	erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.10)
 Description: Log-Structured Hash Table for Fast Key/Value Data
  Bitcask is an Erlang application that provides an API for storing and
  retrieving key/value data into a log-structured hash table that provides very

## erlang-bitcask 2.0.8+dfsg

=== package/Makefile ===
OS		= $(shell uname -s)
KERNEL		= $(shell uname -r)
ifeq ($(OS),Linux)
PKGER		= $(shell cat /etc/redhat-release 2> /dev/null)
ifeq ($(PKGER),)
PKGER		= debuild
PKGERDIR	= deb
else
PKGER		= rpmbuild
PKGERDIR	= rpm
endif
endif
ifeq ($(OS),SunOS)
PKGER		= make
PKGERDIR	= solaris
DISTRO		= $(shell awk '{ if (NR==1) print $$1; };' /etc/release)
endif

APP		 = $(shell echo "$(REPO)" | sed -e 's/_/-/g')
# Assumes CURDIR is $(REPO)/package/
RIAK_PATH	?= ..
RELEASE		?= 

$(APP)-$(REVISION).tar.gz: ../$(BITCASK_TAG).tar.gz
	ln -s $< $@

pkgclean: $(PKGERDIR)/pkgclean
	rm -rf $(APP)-$(REVISION).tar.gz working rpmbuild debuild packages

pkgcheck:
	$(if $(BITCASK_TAG),,$(error "You can't generate a release tarball from a non-tagged revision. Run 'git checkout <tag>', then 'make dist'"))
	$(if $(RELEASE),,$(error "You must provide a package release number via RELEASE= on the command line"))
	@echo "Packaging \"$(BITCASK_TAG)\""

# The heavy lifting is done by the individual packager Makefiles
package: pkgcheck build

include $(PKGERDIR)/Makefile

=== package/rpm/Makefile ===

build: $(PKGERDIR)/SOURCES/$(APP)-$(REVISION).tar.gz rpmbuild
	@echo "BITCASK_TAG = $(BITCASK_TAG)"
	@echo "REVISION = $(REVISION)"
	@echo "RELEASE  = $(RELEASE)"
	rpmbuild --define '_topdir $(CURDIR)/rpmbuild' \
		 --define '_sourcedir $(CURDIR)/$(PKGERDIR)/SOURCES' \
		 --define '_specdir $(CURDIR)/$(PKGERDIR)/SPECS' \
		 --define '_rpmdir $(CURDIR)/packages' \
		 --define '_srcrpmdir $(CURDIR)/packages' \
		 --define "_revision $(REVISION)" \
		 --define "_version $(PKG_VERSION)" \
		 --define "_release $(RELEASE)" \
		 -ba $(PKGERDIR)/SPECS/$(APP).spec
	mv packages/*/$(APP)-$(PKG_VERSION)-$(RELEASE)*.rpm packages
	rm -rf packages/i?86 packages/x86_64

rpmbuild:
	@mkdir -p rpmbuild/BUILD
	@mkdir -p packages

# In case it doesn't exist because there aren't any patches to apply
$(PKGERDIR)/SOURCES:
	@mkdir -m 0755 -p $(PKGERDIR)/SOURCES

$(PKGERDIR)/SOURCES/$(APP)-$(REVISION).tar.gz:  $(APP)-$(REVISION).tar.gz \
						$(PKGERDIR)/SOURCES
	cp $(APP)-$(REVISION).tar.gz $(PKGERDIR)/SOURCES

$(PKGERDIR)/pkgclean:
	@echo

=== package/solaris/Makefile ===
# requires GNU make
PKG		 = BASHO$(APP)
# possible ARCH values are i386, sparc, all
ARCH		 = $(shell uname -p)
SOLARIS_VER	?= $(shell echo "$(KERNEL)" | sed -e 's/^5\.//')
PKGFILE		 = $(PKG)-$(REVISION)-$(RELEASE)-$(DISTRO)$(SOLARIS_VER)-$(ARCH).pkg
BITCASK_LIB	?= lib/$(APP)-$(REVISION)

build: buildrel pkginfo prototype
	cp $(PKGERDIR)/copyright $(PKGERDIR)/depend .
	mkdir -p pkgbuild packages
	pkgmk -o -d pkgbuild -a $(ARCH)
	touch packages/$(PKGFILE)
	pkgtrans -s pkgbuild packages/$(PKGFILE) $(PKG) 
	rm -r pkgbuild/$(PKG)
	gzip packages/$(PKGFILE)
	@echo
	@echo Wrote: $(CURDIR)/packages/$(PKGFILE).gz
	@echo

# Build the release we need to package
buildrel:
	@# Ye Olde Bourne Shell on Solaris means we have to do it old school
	PATH=/opt/erlang/R13B04-$(DISTRO)$(SOLARIS_VER):$${PATH}; \
	export PATH; \
	echo "Using `which erl` to build"; \
	$(MAKE) -C $(BITCASK_PATH)

pkginfo:
	sed -e 's/@@VERSION@@/$(REVISION)-$(RELEASE)/g' \
		-e 's/@@PKG@@/$(PKG)/g' \
		-e 's/@@PKGNAME@@/$(APP)/g' \
		< $(PKGERDIR)/pkginfo.tmpl > pkginfo

# NOTE!  The instances of riak below shouldn't change
prototype:
	echo "i pkginfo" > prototype
	echo "i copyright" >> prototype
	echo "i depend" >> prototype
	echo '' >> prototype
	echo "d none lib/$(APP)-$(REVISION) 0755 riak riak" >> prototype
	pkgproto $(BITCASK_PATH)/ebin=$(BITCASK_LIB)/ebin >> prototype
	pkgproto $(BITCASK_PATH)/priv=$(BITCASK_LIB)/priv >> prototype
	sed -i -e 's/basho other/riak riak/' \
	       -e 's/buildbot other/riak riak/' prototype

$(PKGERDIR)/pkgclean:
	rm -rf copyright depend pkgbuild pkginfo prototype

=== debian/changelog ===
erlang-bitcask (2.0.8+dfsg-2) unstable; urgency=medium

  * Change maintainer address. (Closes: #899917)
  * Bump Standards-Version to 4.1.4.
  * Update debhelper to 11.
  * Change Vcs-Git and Vcs-Browser to salsa.
  * Fix insecure copyright format URI.
  * Get rid of lintian 'space-in-std-shortname-in-dep5-copyright'.
    Change license from MIT to Expat.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 May 2018 08:40:58 +0900

erlang-bitcask (2.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update patches/remove_deps.
  * Update patches/disable-nowarn_deprecated.
  * Add patches/remove-warnings_as_errors-from-erl_opts.
  * Disabled eunit, it is currently broken. (Closes: #869571)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Sep 2017 08:40:37 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: erlang-bitcask
-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
+Maintainer: LeoFS maintainers team <team+pkg-leofs-devel@tracker.debian.org>
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
 	erlang-eunit, erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.10), erlang-mnesia,
 	erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
-Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-bitcask.git
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-bitcask
 
 Package: erlang-bitcask
 Architecture: any
@@ -22,9 +22,9 @@
  fast access. The design owes a lot to the principles found in log-structured
  file systems and draws inspiration from a number of designs that involve log
  file merging.
- 
+
 Package: erlang-bitcask-dev
-Architecture: all 
+Architecture: all
 Depends: erlang-bitcask (>= ${source:Version}), ${misc:Depends}
 Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
  Bitcask is an Erlang application that provides an API for storing and
@@ -35,4 +35,3 @@
  .
  This package includes bitcask headers which are necessary to build Erlang
  applications which use bitcask.
-

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,9 @@
 #!/usr/bin/make -f
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
-  export DEB_CFLAGS_MAINT_STRIP  = -O3
-  export DEB_CFLAGS_MAINT_APPEND = -O2
-endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-disable_test=0
+disable_test=1
 # BTS:718740
 ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf ia64 sparc mipsel))
 disable_test=1

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bitcask-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/basho/bitcask/tags .*/v?(\d\S*)\.tar\.gz

## erlang-bitcask 2.1.0

=== Makefile ===
.PHONY: compile rel cover test dialyzer eqc
REBAR=./rebar3

compile:
	$(REBAR) compile

clean:
	$(REBAR) clean

cover: test
	$(REBAR) cover

test: compile
	$(REBAR) eunit

dialyzer:
	$(REBAR) dialyzer

eqc:
	$(REBAR) eqc

xref:
	$(REBAR) xref

PULSE_TESTING_TIME ?= 30

pulse: compile
	mkdir -p .pulse
	cp eqc/pulse/Emakefile .pulse
	cp _build/default/lib/bitcask/ebin/bitcask.app .pulse
	(cd .pulse; \
		erl -make; \
		erl -noshell -s bitcask_pulse run_tests $(PULSE_TESTING_TIME))

check: test dialyzer xref

=== debian/changelog ===
erlang-bitcask (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Update Maintainers and Uploaders
  * Update (Build-)Depends
  * Update debian/copyright
  * Update Standards-Version: 4.6.0 (no changes needed)
  * Update debhelper compat level from 11 to 13
  * Update version of debian/watch: 4
  * Clean debian/rules
  * Make build deterministic
  * Add lintian overrides
  * Clean debian/dh-rebar.conf
  * Add debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Jan 2022 17:19:48 +0100

=== debian/control ===
Source: erlang-bitcask
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-cuttlefish (>= 3),
	       erlang-meck,
               erlang-mnesia
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-bitcask.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-bitcask
Homepage: https://github.com/basho/bitcask

Package: erlang-bitcask
Architecture: any
Depends: ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         erlang-cuttlefish (>= 3),
	 erlang-meck
Enhances: erlang
Description: Log-Structured Hash Table for Fast Key/Value Data
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.

Package: erlang-bitcask-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         erlang-bitcask (>= ${source:Version})
Enhances: erlang
Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.
 .
 This package includes bitcask headers which are necessary to build Erlang
 applications which use bitcask.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS = deterministic


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_clean:
	dh_auto_clean
	rm -rf ebin/*.beam
	rm -rf ebin/*.app
	rm -rf c_src/*.o
	rm -rf priv/bitcask.so
	rm -rf .eunit

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bitcask-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/basho/bitcask/tags .*/v?(\d\S*)\.tar\.gz
